#ifndef ONEWAYLIST_H
#define ONEWAYLIST_H
#ifdef UNIQUE
#include <memory>
#endif
class Node {
public:
    wchar_t data;
#ifdef UNIQUE
    std::unique_ptr<Node>
#else
    Node*
#endif
        next;
    Node();
    Node(wchar_t value);
};

class OnewayList {
#ifdef UNIQUE
    std::unique_ptr<Node>
#else
    Node*
#endif
        head;
public:
    OnewayList();
    OnewayList(wchar_t);
    void append(wchar_t);
    bool remove(unsigned int,bool=0);
    wchar_t get(unsigned int,bool=0)const;
    ;
#ifndef UNIQUE
    ~OnewayList();
#endif
    unsigned int find(wchar_t,bool=0)const;
};

#endif // ONEWAYLIST_H
